
global_settings { assumed_gamma 2.0 }

#declare LightSteel = color rgb <0.560784 0.560784 0.737255>
#declare MedGreen = color red 0.258824 green 0.435294 blue 0.358824 // was .258824
#declare LightGreen = color red 0.560784 green 0.737255 blue 0.560784
#declare White = color red 1 green 1 blue 1
#include "s_bucket.inc"

camera
{ location  <0.0, 10, -15.0> // final
  direction 1.5*z
  right     4/3*x
  look_at   <0.0, 0.0,  0.0> }

sky_sphere {   pigment {  color blue 0.8 } }

light_source {  0*x color rgb <1.25,0.9,0.9> translate < -10,50,150> } // was 20,60,150
light_source {  0*x color White translate <-80,80,-80>  }      // was -80,80,-80
light_source {  0*x color rgb <0.375,0.375,0.375> translate <-1.4,6,-5>  shadowless }      //

// ----------------------------------------
 plane { y, -1
// Sand !
//     texture { pigment { color rgb <0.7,0.5,0.3>} finish { ambient 0.4 } // temp texture

          texture { pigment { bozo color_map {
                  [ 0.0 colour rgb <0.7,0.5,0.3> ]
                  [ 0.2 colour rgb <0.6,0.6,0.6> ]
                  [ 0.25 colour rgb <0.6,0.6,0.6> ] //new
                  [ 0.25 colour rgb <0.2,0.2,0.2> ] //new
                  [ 0.275 colour rgb <0.2,0.2,0.2> ]  //new
                  [ 0.275 colour rgb <0.6,0.4,0.2> ] // new
                  [ 0.4 colour rgb <0.6,0.4,0.2> ]
                  [ 0.6 colour rgb <0.95,0.75,0.55> ]
                  [ 0.8 colour rgb <0.7,0.5,0.3> ] } scale 0.0001 }
                  normal { crackle 1.75 turbulence 0.5 scale <2,10,2> }

                    scale <1,2,1> }

}

#declare Ripple =
object {
 blob {
   threshold 0.9
   component 1.000000, 2.026740, <1.966245, -0.025316, -1.668809>
   component 1.000000, 1.770951, <0.447257, 0.000000, -0.632911>
   component 1.000000, 1.399812, <-1.570947, 0.000000, 2.446557>
   component 1.000000, 0.600674, <-0.751055, 0.000000, 1.392405>
   component 1.000000, 1.469458, <-0.379747, 0.000000, 1.156118>
   component 1.000000, 4.311614, <-1.071730, -0.649789, -0.638680>
   component 1.000000, 2.364643, <-2.807102, 0.000000, 3.116141>
   component 1.000000, 3.097572, <-4.249283, 0.000000, 4.506815>
   component 1.000000, 5.303123, <2.910115, -0.751055, -3.991751>
 scale <5,0.15,5>      // was 5,0.1,5
 rotate y*40 } // end blob

texture {
//        pigment { colour green 0.5 } finish { ambient 0.4 } } // temp texture

    gradient x turbulence 0.125
    texture_map {
      [ 0.0  pigment { crackle turbulence 0.9 color_map {
                  [ 0.00 colour rgbt <1,1,1,0> ]
                  [ 0.10 colour MedGreen ]
                  [ 1.00 colour MedGreen ] }
                        scale 0.08 }
             normal { crackle 0.1 turbulence 0.7 scale 1/50 }
             finish { ambient 0.75
                      brilliance 7
                      diffuse 0.5
                      specular 0.9
                      roughness 0.002}
                                        ]
      [ 0.6  pigment { crackle turbulence 0.9 color_map {
                  [ 0.00 colour rgbt <1,1,1,0> ]
                  [ 0.20 colour LightSteel ]
                  [ 1.00 colour LightSteel ] }
                        scale 0.04 }
             normal { crackle 0.1 turbulence 0.7 scale 1/50 }
             finish { ambient 0.7
                      brilliance 5
                      diffuse 0.5
                      specular 0.95
                      roughness 0.002}
                                        ]
      [ 0.75  pigment { crackle turbulence 0.9 color_map {
                  [ 0.00 colour rgb <1,1,1> ]
                  [ 0.20 colour LightSteel ]
                  [ 1.00 colour LightSteel ] }
                        scale 0.02 }
            normal { crackle 0.1 turbulence 0.7 scale 1/50 }
            finish { ambient 0.65
                      brilliance 5
                      diffuse 0.5
                      specular 0.95
                      roughness 0.002}
                                        ]
      [ 0.90  pigment { bumps color_map {
                  [ 0.00 colour LightSteel ]
                  [ 0.30 colour rgb <1,1,1> ]
                  [ 0.70 colour rgb <1,1,1> ]
                  [ 1.00 colour LightSteel ]
                  } turbulence 0.9 scale 0.00075 } // end pigment
            normal { bumps 0.3 scale <0.1,0.5,0.1> turbulence 0.2 }
            finish { ambient 0.65
                      brilliance 1
                      diffuse 0.5
                      specular 0.5
                      roughness 0.01}

                                         ] } // end of final map line
    scale <20,20,20> translate -x*13.25 } // end of texture  was scale 20

} // end object

object { Ripple scale <2,2,3> rotate y*38 translate <-7.5,-1,8.5> }     // <0,-1.01,6>
object { Bucket rotate y*122 translate <-1.4,-1,-5> }

#include "s_shella.inc"
#include "s_shellb.inc"
#include "s_shellc.inc"
#include "s_shelld.inc"
#include "s_shelle.inc"
#include "s_shellf.inc"
#include "s_shellg.inc"
#include "s_shellh.inc"
#include "s_shelli.inc"
#include "s_shellj.inc"
#include "s_shellk.inc"
#include "s_shelll.inc"
#include "s_stones.inc"

union {
// Flat coil orange
object { ShellA scale 0.45 rotate <15,-75,0> translate < 0.35,3  ,-3.25> }
// Rising coil horiz stripes
object { ShellB scale 0.30 rotate <18,0,-45> translate <-0.8 ,3.5,-2> }
object { ShellB scale 0.35 rotate <0,0,0>   translate <-1.8 ,3,-2> }
object { ShellB scale 0.30 rotate <5,0,-15> translate <-1.2 ,2.5,-3> }
// Rising coil vert stripes
object { ShellC scale 0.18 rotate <0,35,0> translate <-4.75,3.05,-5> }
// long thin rising coil
object { ShellD scale 0.10 rotate <100,100,0> translate <-4.15,3.5,-3.25> }
object { ShellD scale 0.10 rotate <-100,-10,0> translate <-2.9,3.5,-5.8> }
// arch yellow
object { ShellF scale 0.85 rotate <-20,40,-30> translate <-2.0,3.0,-6> }
// turquoise cowry
object { ShellG scale 0.85 rotate <120,30,0> translate <-2.0,3.25,-4> }
// object { ShellG scale 0.85 rotate <0,80,-30> translate <-0.55,2.85,-4.75> }
// Black speckled cowry
object { ShellH scale 0.85 rotate <120,0,0> translate < 1.0,3.5,-5.5> }
object { ShellH scale 0.85 rotate <0,0,10> translate <-3.25,3.25,-4.5> }
object { ShellH scale 0.85 rotate <120,45,0> translate <-3.25,3,-2.5> }
// Spotted cowry
object { ShellI scale 0.85 rotate <120,45,0> translate <-4.5,3.2,-6> }
object { ShellI scale 0.85 rotate <120,0,10> translate <-3.5,3.1,-5.5> }
object { ShellI scale 0.85 rotate <120,0,10> translate < 0.25,2.75,-5.75> }
// blue speckled cowry
object { ShellJ scale 0.65 rotate <0,0,0>    translate <-0.1,2.75,-4.7> }
object { ShellJ scale 0.65 rotate <0,60,-30> translate <-0.9,2.85,-4.1> }
// Orange speckled cowry
object { ShellK scale 0.85 rotate <0,0,0> translate <-3.0,3.0,-4> }
// Flat coil pink
object { ShellL scale 0.35 rotate <-10,-50,0> translate <-4.05,2.75,-4> }

translate y*-1
}

object { Stone translate <7.0,-1.2,9.0> scale 0.9 }
object { Stone translate <10.5,-1.45,13.0> scale 0.7 }
object { Stone translate <12.5,-1.9,13.0>     scale 0.5 }
